Package org.apache.catalina.valves.rewrite

## Class Resolver

- java.lang.Object
- - org.apache.catalina.valves.rewrite.Resolver

- Direct Known Subclasses:
    `ResolverImpl`

      public abstract class Resolver
      extends java.lang.Object

  Resolver abstract class.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Resolver()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract java.nio.charset.Charset` | `getUriCharset()` |
    `abstract java.lang.String` | `resolve​(java.lang.String key)` |
    `java.lang.String` | `resolveEnv​(java.lang.String key)` |
    `abstract java.lang.String` | `resolveHttp​(java.lang.String key)` |
    `abstract boolean` | `resolveResource​(int type, java.lang.String name)` |
    `abstract java.lang.String` | `resolveSsl​(java.lang.String key)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Resolver

          public Resolver()

  - ### Method Detail

    - #### resolve

          public abstract java.lang.String resolve​(java.lang.String key)

    - #### resolveEnv

          public java.lang.String resolveEnv​(java.lang.String key)

    - #### resolveSsl

          public abstract java.lang.String resolveSsl​(java.lang.String key)

    - #### resolveHttp

          public abstract java.lang.String resolveHttp​(java.lang.String key)

    - #### resolveResource

          public abstract boolean resolveResource​(int type,
                                                  java.lang.String name)

    - #### getUriCharset

          public abstract java.nio.charset.Charset getUriCharset()